package com.atlassian.bitbucket.mesh.git.builder.notes;

import com.atlassian.bitbucket.mesh.git.builder.GitProcessBuilder;

import javax.annotation.Nonnull;

public class DefaultGitNotesShowBuilder
        extends AbstractGitNotesBuilder<GitNotesShowBuilder>
        implements GitNotesShowBuilder {

    public DefaultGitNotesShowBuilder(@Nonnull GitProcessBuilder builder, @Nonnull String object) {
        super(builder, object, "show");
    }

    @Nonnull
    @Override
    protected GitNotesShowBuilder self() {
        return this;
    }
}
